Subject: I-D ACTION:draft-rosenberg-sipping-app-interaction-framework-00.txt

From: [email-masked]
Date: Mon, 04 Nov 2002 10:03:08 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: A Framework and Requirements for Application 
                          Interaction in SIP
	Author(s)	: J. Rosenberg
	Filename	: draft-rosenberg-sipping-app-interaction-
                          framework-00.txt
	Pages		: 38
	Date		: 2002-11-1
	
This document describes a framework and requirements for the
interaction between users and Session Initiation Protocol (SIP) based
applications. By interacting with applications, users can guide the
way in which they operate. The focus of this framework is stimulus
signaling, which allows a user agent to interact with an application
without knowledge of the semantics of that application. Stimulus
signaling can occur to a user interface running locally with the
client, or to a remote user interface, through media streams.
Stimulus signaling encompasses a wide range of mechanisms, ranging
from clicking on hyperlinks, to pressing buttons, to traditional Dual
Tone Multi Frequency (DTMF) input. In all cases, stimulus signaling
is supported through the use of markup languages, which play a key
role in this framework.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-rosenberg-sipping-app-interaction-framework-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-rosenberg-sipping-app-interaction-framework-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-rosenberg-sipping-app-interaction-framework-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.